using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace HallOfFame
{
    public partial class Person
    {
        public Person()
        {
            ConPersonSkills = new HashSet<ConPersonSkill>();
        }
        [Key]
        public long Id { get; set; }
        public string Name { get; set; } = null!;
        public string DisplayName { get; set; } = null!;

        [InverseProperty("Person")]
        public virtual ICollection<ConPersonSkill> ConPersonSkills { get; set; }
    }
}
